Intrusion Prevention

VIPA.Controls.WinPLC7.Stack.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Stack Overflow vulnerability in VIPA Controls WinPLC7.
The vulnerability is due to an error when the vulnerable software handles a maliciously crafted packet. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted client request.

Affected Products

VIPA Controls WinPLC Versions 5.0.45.5921 and prior

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patch, available from the web site.
https://we.tl/LXp2TOic2T.

CVE References

CVE-2017-5177